"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.i18n = void 0;
const tslib_1 = require("tslib");
const i18n_1 = require("@markuplint/i18n");
const os_locale_1 = tslib_1.__importDefault(require("os-locale"));
let cachedLocale = null;
async function getLocale() {
    if (!cachedLocale) {
        cachedLocale = await os_locale_1.default({ spawn: true });
    }
    return cachedLocale;
}
async function i18n(locale) {
    locale = locale || (await getLocale()) || '';
    const langCode = locale.split('-')[0];
    const localeSet = langCode
        ? await Promise.resolve().then(() => tslib_1.__importStar(require(`@markuplint/i18n/locales/${langCode}`))).catch(() => null)
        : null;
    return i18n_1.I18n.create(localeSet);
}
exports.i18n = i18n;
