"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lint = void 0;
const lint_file_1 = require("./lint-file");
const resolve_configs_1 = require("./resolve-configs");
const resolve_lint_target_files_1 = require("./resolve-lint-target-files");
const resolve_rules_1 = require("./resolve-rules");
async function lint(options) {
    var _a, _b;
    const rulesAutoResolve = (_a = options.rulesAutoResolve) !== null && _a !== void 0 ? _a : true;
    const extMatch = (_b = options.extMatch) !== null && _b !== void 0 ? _b : false;
    const files = await resolve_lint_target_files_1.resolveLintTargetFiles(options);
    const configs = await resolve_configs_1.resolveConfigs(files, options);
    const rules = await resolve_rules_1.resolveRules(options);
    const totalResults = [];
    for (const file of files) {
        const result = await lint_file_1.lintFile(file, configs, rulesAutoResolve, rules, options.locale, options.fix, extMatch);
        if (result) {
            totalResults.push(result);
        }
    }
    return totalResults;
}
exports.lint = lint;
